ObjectCell (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl
Class ObjectCell

    java.lang.Object
      fr.inrialpes.exmo.align.impl.BasicCell
          fr.inrialpes.exmo.align.impl.ObjectCell

All Implemented Interfaces:
  Comparable<Cell>, Cell, Visitable

    public class ObjectCell

extends BasicCell

Represents an ontology alignment correspondence.

Version:
  $Id: ObjectCell.java 1325 2010-03-10 11:47:07Z euzenat $
Author:
  Jérôme Euzenat

Field Summary

Fields inherited from class fr.inrialpes.exmo.align.impl.BasicCell
`extensions, id, object1, object2, relation, semantics, strength`

Constructor Summary
`ObjectCell(String id, Object ob1, Object ob2, Relation rel, double m)` Creation

Method Summary
`Cell` | `compose(Cell c)`
`void` | `dump(ContentHandler h)` Housekeeping
`URI` | `getObject1AsURI(Alignment al)` Used to order the cells in an alignment: -- this > c iff this.getStrength() < c.getStrength() -- public int compareTo( Cell c ){ //if ( ! (c instanceof Cell) ) return 1; if ( c.getStrength() > getStrength() ) return 1; if ( getStrength() > c.getStrength() ) return -1; return 0; }
`URI` | `getObject2AsURI(Alignment al)`
`Cell` | `inverse()`

Methods inherited from class fr.inrialpes.exmo.align.impl.BasicCell
`accept, compareTo, equals, equals, getExtension, getExtensions, getId, getObject1, getObject1AsURI, getObject2, getObject2AsURI, getRelation, getSemantics, getStrength, hashCode, setExtension, setExtensions, setId, setObject1, setObject2, setRelation, setSemantics, setStrength`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectCell

    public ObjectCell(String id,
                      Object ob1,
                      Object ob2,
                      Relation rel,
                      double m)
               throws AlignmentException

  Creation

  Throws:
    `AlignmentException`

Method Detail

### getObject1AsURI

    public URI getObject1AsURI(Alignment al)
                        throws AlignmentException

  Used to order the cells in an alignment: -- this > c iff this.getStrength() < c.getStrength() -- public int compareTo( Cell c ){ //if ( ! (c instanceof Cell) ) return 1; if ( c.getStrength() > getStrength() ) return 1; if ( getStrength() > c.getStrength() ) return -1; return 0; }

  Specified by:
    `getObject1AsURI` in interface `Cell`
  Overrides:
    `getObject1AsURI` in class `BasicCell`
  Throws:
    `AlignmentException`

### getObject2AsURI

    public URI getObject2AsURI(Alignment al)
                        throws AlignmentException

  Specified by:
    `getObject2AsURI` in interface `Cell`
  Overrides:
    `getObject2AsURI` in class `BasicCell`
  Throws:
    `AlignmentException`

### inverse

    public Cell inverse()
                 throws AlignmentException

  Specified by:
    `inverse` in interface `Cell`
  Overrides:
    `inverse` in class `BasicCell`
  Throws:
    `AlignmentException`

### compose

    public Cell compose(Cell c)
                 throws AlignmentException

  Specified by:
    `compose` in interface `Cell`
  Overrides:
    `compose` in class `BasicCell`
  Throws:
    `AlignmentException`

### dump

    public void dump(ContentHandler h)

  Housekeeping

  Specified by:
    `dump` in interface `Cell`
  Overrides:
    `dump` in class `BasicCell`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010